UserLogManager (Hadoop 0.20.2-cdh3u0 API)
Date: 2011-03-25

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapreduce.server.tasktracker.userlogs
Class UserLogManager

    java.lang.Object
      org.apache.hadoop.mapreduce.server.tasktracker.userlogs.UserLogManager

    public class UserLogManager

extends Object

This manages user logs on the `TaskTracker`.

Constructor Summary
`UserLogManager(Configuration conf)` Create the user log manager to manage user logs on `TaskTracker`.
`UserLogManager(Configuration conf, TaskController taskController)` Create the user log manager to manage user logs on `TaskTracker`.

Method Summary
`void` | `addLogEvent(UserLogEvent event)` Add the `UserLogEvent` for processing.
`void` | `clearOldUserLogs(Configuration conf)` Called during TaskTracker restart/re-init.
`TaskController` | `getTaskController()` Get the taskController for deleting logs.
`UserLogCleaner` | `getUserLogCleaner()` Get `UserLogCleaner`.
`protected void` | `monitor()`
`protected void` | `processEvent(UserLogEvent event)`
`void` | `start()` Starts managing the logs

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserLogManager

    public UserLogManager(Configuration conf,
                          TaskController taskController)
                   throws IOException

  Create the user log manager to manage user logs on `TaskTracker`. It should be explicitly started using `start()` to start functioning

  Parameters:
    `conf` - The `Configuration`
    `taskController` - The task controller to delete the log files
  Throws:
    `IOException`

### UserLogManager

    public UserLogManager(Configuration conf)
                   throws IOException

  Create the user log manager to manage user logs on `TaskTracker`. This constructor is there mainly for unit tests.

  Parameters:
    `conf` - The `Configuration`
  Throws:
    `IOException`

Method Detail

### getTaskController

    public TaskController getTaskController()

  Get the taskController for deleting logs.

  Returns:
    the TaskController

### start

    public void start()

  Starts managing the logs

### monitor

    protected void monitor()
                    throws Exception

  Throws:
    `Exception`

### processEvent

    protected void processEvent(UserLogEvent event)
                         throws IOException

  Throws:
    `IOException`

### clearOldUserLogs

    public void clearOldUserLogs(Configuration conf)
                          throws IOException

  Called during TaskTracker restart/re-init.

  Parameters:
    `conf` - TT's conf
  Throws:
    `IOException`

### addLogEvent

    public void addLogEvent(UserLogEvent event)

  Add the `UserLogEvent` for processing.

  Parameters:
    `event` -

### getUserLogCleaner

    public UserLogCleaner getUserLogCleaner()

  Get `UserLogCleaner`. This method is called only from unit tests.

  Returns:
    `UserLogCleaner`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation